## gst-plugins-bad-multiverse0.10 0.10.20

=== debian/changelog ===
gst-plugins-bad-multiverse0.10 (0.10.20-1ubuntu1) maverick; urgency=low

  * 99_fix-xvid-detection.patch: fix xvid detection by adding -lpthread to link
    options when trying to find xvid_encore function. This fixes a FTBFS.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 08 Oct 2010 06:23:01 +0200

gst-plugins-bad-multiverse0.10 (0.10.20-1) maverick; urgency=low

  * New upstream release:
    + debian/build-deps.in:
      - Update build dependencies.
  * debian/source/format,
    debian/compat,
    debian/rules,
    debian/patches:
    + Update to debhelper compat level 7.
    + Update to source format 3.0 (quilt).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 03 Sep 2010 16:57:09 +0200

gst-plugins-bad-multiverse0.10 (0.10.18-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release.
  * Relevant upstream fixes
    - 598350 : qtmux with AAC streams (from faac) generate invalid files
    - 607105 : faac doesn't negotiate channel positions correctly
    - 606726 : FAAC bitrate setting has no effect

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Sat, 13 Mar 2010 22:48:10 +0530

gst-plugins-bad-multiverse0.10 (0.10.17-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Add myself to maintainer.
  * Fix misc lintian warnings.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Mon, 07 Dec 2009 08:54:28 +0530

gst-plugins-bad-multiverse0.10 (0.10.13-0ubuntu2) lucid; urgency=low

  * Change build-dep libxvidcore4-dev to libxvidcore-dev. (LP: #486169)

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Sat, 21 Nov 2009 22:41:58 +0530

gst-plugins-bad-multiverse0.10 (0.10.13-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * debian/build-deps.in
    - Remove unnecessary build dependency gtk-doc-tools. There is no
      -multiverse-doc package.
    - Remove build dependency python-xml. Package does not exist anymore.
    - Remove build dependency libx264-dev. x264 plugin will move to
      -ugly-multiverse.
  * debian/control.in
    - Add XB-GStreamer-* fields.
    - Replace Source-Version with binary-Version.
    - Add Provides field.
    - Update standards version to 3.8.2. No change needed.
  * debian/rules
    - Disable few more plugins built by default but not shipped in the package.
    - Enable previously disabled mplex plugin.
  * debian/gstreamer-plugins-bad-multiverse.install
    - Remove x264 plugin. Will move to -ugly-multiverse now.
    - Add mplex plugin. (LP: #270976)

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Wed, 24 Jun 2009 03:28:47 +0530

gst-plugins-bad-multiverse0.10 (0.10.11-0ubuntu1) jaunty; urgency=low

  * New upstream release

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 08 Apr 2009 18:20:17 +0200

gst-plugins-bad-multiverse0.10 (0.10.10.2-1ubuntu2) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2009 16:47:04 +0100

gst-plugins-bad-multiverse0.10 (0.10.10.2-1ubuntu1) jaunty; urgency=low

  * New upstream release.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Mar 2009 22:01:41 +0100

gst-plugins-bad-multiverse0.10 (0.10.10-0ubuntu1) jaunty; urgency=low

  * New upstream release.
  * debian/rules
    - Disable some plugins which get built by default but we do not ship in 
      multiverse package.
    - Do not build docs as there is no multiverse-doc package.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Mon, 23 Feb 2009 02:23:58 +0530

gst-plugins-bad-multiverse0.10 (0.10.6-1ubuntu1) intrepid; urgency=low

  * Rebuild for libx264-57 -> libx264-59 transistion.
  * Add <string.h> to gstmpeg2encpicturereader.cc.
  * Add sys.path.append() magic to common/mangle-tmpl.py

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 08 Oct 2008 13:59:48 +1100

gst-plugins-bad-multiverse0.10 (0.10.6-1) hardy; urgency=low

  * New upstream release.
  * debian/patches/01_no-werror.patch:
    + Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 25 Feb 2008 11:35:36 +0100

gst-plugins-bad-multiverse0.10 (0.10.5-3ubuntu1) hardy; urgency=low

  *  Rebuild against newer libfaac-dev
  *  Rebuild against newer libx264-dev 
  *  LP: #181389

 -- John Dong <jdong@ubuntu.com>  Tue, 22 Jan 2008 14:55:03 -0500

gst-plugins-bad-multiverse0.10 (0.10.5-3) hardy; urgency=low

  * Rebuild against newer x264.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 05 Dec 2007 11:23:17 +0100

gst-plugins-bad-multiverse0.10 (0.10.5-2) hardy; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control,
    debian/gstreamer-plugins-bad-multiverse.install:
    - Remove libfaad2-dev from Build-Depends. The faad plugin is now
      included in gstreamer0.10-plugins-bad, since it has been moved to
      the universe repository.

  [ Sebastian Dröge ]
  * debian/build-deps.in:
    + Really remove faad.

 -- Sebastian Dröge <slomo@ubuntu.com>  Sun, 25 Nov 2007 18:39:25 +0100

gst-plugins-bad-multiverse0.10 (0.10.5-1) gutsy; urgency=low

  * New upstream release, "Expedition to Lake Pahoe".

 -- Sebastian Dröge <slomo@ubuntu.com>  Wed, 20 Jun 2007 23:27:59 +0200

gst-plugins-bad-multiverse0.10 (0.10.4.3-1) gutsy; urgency=low

  * New upstream pre-release.
  * debian/patches/01_no-werror.patch:
    + Don't build with -Werror as the mpeg2enc headers produce a warning which
      would result in a build failure.

 -- Sebastian Dröge <slomo@ubuntu.com>  Sat, 16 Jun 2007 21:47:18 +0200

gst-plugins-bad-multiverse0.10 (0.10.4+cvs20070502-1) gutsy; urgency=low

  * New CVS snapshot.
  * debian/rules,
    debian/build-deps.in:
    + Update build dependencies.
  * debian/gstreamer-plugins-bad-multiverse.install:
    + Add x264 plugin.

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu,  3 May 2007 19:52:54 +0200

gst-plugins-bad-multiverse0.10 (0.10.4-3) feisty; urgency=low

  * debian/build-deps.in:
    - Build-Depends on gstreamer-tools (>= 0.10.11cvs20070110)
  * debian/rules:
    - call dh_gstscancodecs

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 16 Jan 2007 16:58:31 +0100


