=== debian/control ===
Source: gst-plugins-bad-multiverse0.10
Section: libs
Priority: optional
Maintainer: Sebastian Dröge <slomo@ubuntu.com>, Onkar Shinde <onkarshinde@ubuntu.com>
Build-Depends: libgstreamer0.10-dev (>= 0.10.30), libgstreamer-plugins-base0.10-dev (>= 0.10.30), gstreamer-tools (>= 0.10.12-4ubuntu2), autotools-dev, cdbs (>= 0.4.32), check, debhelper (>= 7), pkg-config (>= 0.11.0), liborc-0.4-dev (>= 0.4.5), libfaac-dev, libxvidcore-dev, zlib1g-dev, libx11-dev, libmjpegtools-dev (>= 1.8.0)
Standards-Version: 3.8.3

Package: gstreamer0.10-plugins-bad-multiverse
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "bad" set (Multiverse Variant)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.

Package: gstreamer0.10-plugins-bad-multiverse-dbg
Architecture: any
Section: debug
Priority: extra
Depends: gstreamer0.10-plugins-bad-multiverse (= ${binary:Version}), ${misc:Depends}
Description: GStreamer plugins from the "bad" set (Multiverse Variant)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.
