## gst-plugins-bad-multiverse0.10 0.10.21

=== debian/changelog ===
gst-plugins-bad-multiverse0.10 (0.10.21-1ubuntu3) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 24 Dec 2013 18:03:41 -0500

gst-plugins-bad-multiverse0.10 (0.10.21-1ubuntu2) trusty; urgency=low

  * No-change rebuild against new mjpegtools.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 06 Dec 2013 17:29:18 -0500

gst-plugins-bad-multiverse0.10 (0.10.21-1ubuntu1) raring; urgency=low

  [ Colin Watson ]
  * Backport upstream patch to support mjpegtools 2.0.

  [ Matthias Klose ]
  * Build-depend on fixed libmjpegtools-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Apr 2013 14:51:00 +0200

gst-plugins-bad-multiverse0.10 (0.10.21-1) natty; urgency=low

  * New upstream release:
    + debian/patches/99_fix_xvid_detection.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Mar 2011 09:42:58 +0100
