=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Sebastian Dröge <slomo@ubuntu.com>, Onkar Shinde <onkarshinde@ubuntu.com>
-Build-Depends: libgstreamer0.10-dev (>= 0.10.30), libgstreamer-plugins-base0.10-dev (>= 0.10.30), gstreamer-tools (>= 0.10.12-4ubuntu2), autotools-dev, cdbs (>= 0.4.32), check, debhelper (>= 7), pkg-config (>= 0.11.0), liborc-0.4-dev (>= 0.4.5), libfaac-dev, libxvidcore-dev, zlib1g-dev, libx11-dev, libmjpegtools-dev (>= 1.8.0)
+Build-Depends: libgstreamer0.10-dev (>= 0.10.32), libgstreamer-plugins-base0.10-dev (>= 0.10.32), gstreamer-tools (>= 0.10.12-4ubuntu2), autotools-dev, cdbs (>= 0.4.32), check, debhelper (>= 7), pkg-config (>= 0.11.0), liborc-0.4-dev (>= 0.4.7), libfaac-dev, libxvidcore-dev, zlib1g-dev, libx11-dev, libmjpegtools-dev (>= 1:2.0.0+debian-2ubuntu1), dh-autoreconf
 Standards-Version: 3.8.3
 
 Package: gstreamer0.10-plugins-bad-multiverse
