=== debian/watch ===
version=2
http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-(0\.10\..*)\.tar\.gz debian uupdate
